routes/web.php
<?php


DB::listen(function ($query){
    //echo "<pre>{{$query->time}}</pre>";
    //echo "<pre>{{$query->sql}}</pre>";
});
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
    //return ['uno'=>'1','dos'=>'2'];
});

Route::get('saludo/{nombre?}', 'PrincipalController@saludo')->name('saludo')->middleware('verified');

Route::get('admin/lista', 'PrincipalController@lista')->name('lista');

Route::get('condicional', 'PrincipalController@condicional')->name('condicional');






/*########################## MENSAJES ###########################*/
/*Route::get('mensaje', 'MensajesController@index')->name('mensaje.index');
Route::get('mensaje/create', 'MensajesController@create')->name('mensaje.create');
Route::post('mensaje/store','MensajesController@store')->name('mensaje.store');
Route::get('mensaje/{id}','MensajesController@show')->name('mensaje.show');
Route::get('mensaje/{id}/edit','MensajesController@edit')->name('mensaje.edit');
Route::put('mensaje/{id}','MensajesController@update')->name('mensaje.update');
Route::delete('mensaje/{id}','MensajesController@destroy')->name('mensaje.destroy');*/

Route::resource('mensaje','MensajesController');


Route::resource('usuario','UsuariosController')->except('show');







/*Route::get('login', 'Auth\LoginController@showLoginForm')->name('login');
Route::post('login', 'Auth\LoginController@login');
Route::post('logout', 'Auth\LoginController@logout')->name('logout');*/




Auth::routes(['verify' => true]);

Route::get('/home', 'HomeController@index')->name('home');

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet" type="text/css">

    <!-- Styles -->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css"
          integrity="sha384-50oBUHEmvpQ+1lW4y57PTFmhCaXp0ML5d60M1M7uH2+nqUivzIebhndOJK28anvf" crossorigin="anonymous">
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">

</head>
<body>
<div id="app">
    <nav class="navbar navbar-expand-md navbar-light navbar-laravel">
        <div class="container">
            <a class="navbar-brand" href="{{ url('/') }}">
                {{ config('app.name', 'Laravel') }}
            </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
                    aria-controls="navbarSupportedContent" aria-expanded="false"
                    aria-label="{{ __('Toggle navigation') }}">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <!-- Left Side Of Navbar -->
                <ul class="navbar-nav mr-auto">
                    <li class="nav-item active">
                        <a class="nav-link" href="{{route('saludo')}}">Sludo <span class="sr-only">(current)</span></a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{route('lista')}}">Lista</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{route('condicional')}}">Condicionales</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{route('mensaje.create')}}">contacto</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{route('mensaje.index')}}">Mensajes</a>
                    </li>
                    @if(Auth::check())
                        @if(Auth::user()->hasRole(['admin']))
                            <li class="nav-item">
                                <a class="nav-link" href="{{route('usuario.index')}}">Usuarios</a>
                            </li>
                        @endif
                    @endif
                </ul>

                <!-- Right Side Of Navbar -->
                <ul class="navbar-nav ml-auto">
                    <!-- Authentication Links -->
                    @guest
                        <li class="nav-item">
                            <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                        </li>
                        @if (Route::has('register'))
                            <li class="nav-item">
                                <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                            </li>
                        @endif
                    @else
                        <li class="nav-item dropdown">
                            <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button"
                               data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                {{ Auth::user()->name }} <span class="caret"></span>
                            </a>

                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                <a class="dropdown-item" href="{{ route('usuario.edit',auth()->id()) }}">
                                    {{ __('perfil') }}
                                </a>
                                <a class="dropdown-item" href="{{ route('logout') }}"
                                   onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                    {{ __('Logout') }}
                                </a>

                                <form id="logout-form" action="{{ route('logout') }}" method="POST"
                                      style="display: none;">
                                    @csrf
                                </form>
                            </div>
                        </li>
                    @endguest
                </ul>
            </div>
        </div>
    </nav>

    <main class="py-4">
        <div class="row">
            <div class="container">
                @yield('content')
            </div>
        </div>
    </main>
</div>
<!-- Scripts -->
<script
        src="https://code.jquery.com/jquery-3.4.0.js"
        integrity="sha256-DYZMCC8HTC+QDr5QNaIcfR7VSPtcISykd+6eSmBW5qo="
        crossorigin="anonymous"></script>
<script src="{{ asset('js/app.js') }}" defer></script>
@yield('scripts')
</body>
</html>